%global oname engine.io-client
Name:          engineio-client-java
# Newer release uses okhttp-ws >= 2.3.0
Version:       0.4.1
Release:       1%{?dist}
Summary:       Engine.IO Client Library for Java
License:       MIT
URL:           https://github.com/socketio/engine.io-client-java
Source0:       https://github.com/socketio/engine.io-client-java/archive/%{oname}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.java-websocket:Java-WebSocket)
BuildRequires: mvn(org.json:json)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
This is the Engine.IO Client Library for Java,
which is simply ported from the JavaScript client.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-java-%{oname}-%{version}
# Cleanup
find . -name "*.class" -print -delete
find . -name "*.jar" -type f -print -delete
find . -name "*.js" -type f -print -delete

# Unwanted tasks
%pom_remove_plugin :exec-maven-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
# Unavailable plugins
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :site-maven-plugin

# Use web connection TestTimedOutException: test timed out after 10000 milliseconds
rm -r src/test/java/com/github/nkzawa/engineio/client/BinaryPollingTest.java \
 src/test/java/com/github/nkzawa/engineio/client/BinaryWSTest.java \
 src/test/java/com/github/nkzawa/engineio/client/ConnectionTest.java \
 src/test/java/com/github/nkzawa/engineio/client/ServerConnectionTest.java \
 src/test/java/com/github/nkzawa/engineio/client/SSLConnectionTest.java

%mvn_file : %{oname}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc History.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Aug 31 2015 gil cattaneo <puntogil@libero.it> 0.4.1-1
- initial rpm
